Bug 33829 - Web Inspector: Timeline panel's reset button problem
Summary: Web Inspector: Timeline panel's reset button problem
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (Deprecated) (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-01-18 23:52 PST by Ilya Tikhonovsky
Modified: 2010-01-20 18:08 PST (History)
3 users (show)

See Also:


Attachments
The fix for reset button at Timeline panel (2.93 KB, patch)
2010-01-19 02:02 PST, Ilya Tikhonovsky
pfeldman: review-
Details | Formatted Diff | Diff
The fix for reset button at Timeline panel (3.60 KB, patch)
2010-01-20 06:30 PST, Ilya Tikhonovsky
no flags Details | Formatted Diff | Diff
The fix for reset button at Timeline panel (4.11 KB, patch)
2010-01-20 07:41 PST, Ilya Tikhonovsky
no flags Details | Formatted Diff | Diff
The fix for reset button at Timeline panel (3.73 KB, patch)
2010-01-20 08:10 PST, Ilya Tikhonovsky
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ilya Tikhonovsky 2010-01-18 23:52:30 PST
Timeline reset button doesn't clean timeline if the panel is scrolled down.
The overview pane also stay unmodified after reset.
Comment 1 Ilya Tikhonovsky 2010-01-19 02:02:57 PST
Created attachment 46897 [details]
The fix for reset button at Timeline panel

Fixes for:
Texts for dividers at overview pane;
Reset button functionality when Timeline was scrolled down;
Reset button functionality when working window has been changed;
Scroll position calculation when Timeline was scrolled down and working window was adjusted by overview pane.
Comment 2 Pavel Feldman 2010-01-19 02:39:00 PST
Comment on attachment 46897 [details]
The fix for reset button at Timeline panel

> +        if (recordsInWindow.length > startIndex) 
> +            while (startIndex > 0 &&  recordsInWindow[startIndex].parent)
> +                startIndex--;
> +        else 
> +            startIndex = recordsInWindow.length ? recordsInWindow.length - 1 : 0;
> +

I think that what has been happening here was fundamentally wrong. It probably regressed when I introduced expansion/collapsing. Row offset can no longer be calculated as number of record * row height. We now need to take expanded state into consideration.
Comment 3 Ilya Tikhonovsky 2010-01-20 06:30:14 PST
Created attachment 47017 [details]
The fix for reset button at Timeline panel

The fix for reset button at Timeline panel.

Fixes for:
Texts for dividers at overview pane;
Reset button functionality when Timeline was scrolled down;
Reset button functionality when working window has been changed;
Scroll position calculation when Timeline ±was scrolled down and working window
was adjusted by overview pane.

Obsolete adjustment of startIndex was removed.
Comment 4 Ilya Tikhonovsky 2010-01-20 07:41:52 PST
Created attachment 47031 [details]
The fix for reset button at Timeline panel

The fix for reset button at Timeline panel.

Fixes for:
Texts for dividers at overview pane;
Reset button functionality when Timeline was scrolled down;
Reset button functionality when working window has been changed;
Scroll position calculation when Timeline was scrolled down and working window
was adjusted by overview pane.
Comment 5 Ilya Tikhonovsky 2010-01-20 08:10:34 PST
Created attachment 47036 [details]
The fix for reset button at Timeline panel

The fix for reset button at Timeline panel

Fixes for:
Texts for dividers at overview pane;
Reset button functionality when Timeline was scrolled down;
Reset button functionality when working window has been changed;
Scroll position calculation when Timeline was scrolled down and working window
was adjusted by overview pane.
Comment 6 WebKit Commit Bot 2010-01-20 18:08:26 PST
Comment on attachment 47036 [details]
The fix for reset button at Timeline panel

Clearing flags on attachment: 47036

Committed r53588: <http://trac.webkit.org/changeset/53588>
Comment 7 WebKit Commit Bot 2010-01-20 18:08:31 PST
All reviewed patches have been landed.  Closing bug.